# -*- coding: utf-8; indent-tabs-mode: nil; tab-width: 2; -*-
#

---
#
# root user
#
- name: Install Java JDK
  yum: name=java-1.8.0-openjdk state=present 

- name: Install libselinux-python (required by playbook)
  yum: name=libselinux-python state=present

- name: Configure Elasticsearch Repository
  template: src=files/files/etc/yum.repos.d/elasticsearch.repo dest=/etc/yum.repos.d/elasticsearch.repo

- name: Install Elasticsearch
  yum: name=elasticsearch state=present

- name: Configure Elasticsearch JVM Heap Size
  template: src=templates/files/etc/sysconfig/elasticsearch dest=/etc/sysconfig/elasticsearch
  notify:
    - Restart Elasticsearch

- name: Configure Elasticsearch settings
  template: src=templates/files/etc/elasticsearch/elasticsearch.yml dest=/etc/elasticsearch/elasticsearch.yml
  notify:
    - Restart Elasticsearch

- name: Start Elasticsearch
  service: name=elasticsearch state=started

- name: Enable Elasticsearch
  service: name=elasticsearch enabled=true


